net.i2p.router.tunnel.pool

## Enum ParticipatingThrottler.Result

- java.lang.Object
- - java.lang.Enum<ParticipatingThrottler.Result>
  - - net.i2p.router.tunnel.pool.ParticipatingThrottler.Result

- All Implemented Interfaces:
    Serializable, Comparable<ParticipatingThrottler.Result>
  Enclosing class:
    ParticipatingThrottler

      public static enum ParticipatingThrottler.Result
      extends Enum<ParticipatingThrottler.Result>

  Result of throttling decision for tunnel participation requests. Determines whether to accept, reject, or drop a tunnel request.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACCEPT`
    `DROP`
    `REJECT`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ParticipatingThrottler.Result` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ParticipatingThrottler.Result[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ACCEPT

          public static final ParticipatingThrottler.Result ACCEPT

    - #### DROP

          public static final ParticipatingThrottler.Result DROP

    - #### REJECT

          public static final ParticipatingThrottler.Result REJECT

  - ### Method Detail

    - #### valueOf

          public static ParticipatingThrottler.Result valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### values

          public static ParticipatingThrottler.Result[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ParticipatingThrottler.Result c : ParticipatingThrottler.Result.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared